# The (empty) main package is arch, to have the package built and tests run
# on all arches, but the actual result package is the noarch -devel subpackge.
# Debuginfo packages are disabled to prevent rpmbuild from generating an empty
# debuginfo package for the empty main package.
%global debug_package %{nil}

Name:           cereal
Version:        1.2.2
Release:        1%{?dist}
Summary:        A header-only C++11 serialization library
License:        BSD
Url:            http://uscilab.github.io/cereal/
Source0:        https://github.com/USCiLab/cereal/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  %{?fedora:cmake >= 3.0}%{?rhel:cmake3 >= 3.0}

%description
cereal is a header-only C++11 serialization library. cereal takes arbitrary
data types and reversibly turns them into different representations, such as
compact binary encodings, XML, or JSON. cereal was designed to be fast,
light-weight, and easy to extend - it has no external dependencies and can be
easily bundled with other code or used standalone.

%package devel
Summary:        Development headers and libraries for %{name}
BuildArch:      noarch

%description devel
cereal is a header-only C++11 serialization library. cereal takes arbitrary
data types and reversibly turns them into different representations, such as
compact binary encodings, XML, or JSON. cereal was designed to be fast,
light-weight, and easy to extend - it has no external dependencies and can be
easily bundled with other code or used standalone.

This package contains development headers and libraries for the cereal library

%prep
%setup -q

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{?fedora:%{cmake}}%{?rhel:%{cmake3}} .. -DSKIP_PORTABILITY_TEST=ON -DWITH_WERROR=OFF
%make_build

%install
%make_install -C %{_target_platform}

%check
#test_portable_binary_archive is unstable
#https://github.com/USCiLab/cereal/issues/338
make -C %{_target_platform} test ARGS="-V -E test_portable_binary_archive"

%files devel
%doc README.md
%license LICENSE
%{_includedir}/%{name}
%dir %{_datadir}/cmake
%{_datadir}/cmake/%{name}

%changelog
* Wed Feb 15 2017 Christoph Junghans <junghans@votca.org> - 1.2.2-1
- Update to v1.2.2 (bug #1422474) 

* Sat Sep 03 2016 Christoph Junghans <junghans@votca.org> - 1.2.1-2
- Minor changes from review (bug #1372403)

* Thu Sep 01 2016 Christoph Junghans <junghans@votca.org> - 1.2.1-1
- First release.
